<?php

namespace App\Http\Controllers\Api;

use App\Service\SalesOrderService;
use Illuminate\Http\Request;

class SalesOrderController extends BaseController
{
    public function salesOrderAdd(Request $request)
    {
        $service = new SalesOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->salesOrderAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function salesOrderEdit(Request $request)
    {
        $service = new SalesOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->salesOrderEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function salesOrderDel(Request $request)
    {
        $service = new SalesOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->salesOrderDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function salesOrderList(Request $request)
    {
        $service = new SalesOrderService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->salesOrderList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function salesOrderDetail(Request $request)
    {
        $service = new SalesOrderService();
        list($status,$data) = $service->salesOrderDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function salesOrderGet(Request $request)
    {
        $service = new SalesOrderService();
        list($status,$data) = $service->salesOrderGet($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function salesOrderDispatch(Request $request)
    {
        $service = new SalesOrderService();
        list($status,$data) = $service->salesOrderDispatch($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
