<?php

namespace App\Http\Middleware;

use App\Model\Depart;
use App\Service\EmployeeService;
use Closure;
use App\Service\TokenService;

class CheckLogin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $token=$request->header('Authorization');
        if (!isset($token)){
            return  response()->json(['code'=>1,'msg'=>'缺少token','data'=>null]);
        }

        //校验token
        $result = TokenService::verifyToken($token);
        if ($result <= 0){
            return response()->json(['code'=>1,'msg'=>TokenService::error[$result],'data'=>null]);
        }

        //校验用户
        $checkResult = EmployeeService::checkUser($result);
        list($state, $data) = $checkResult;
        if(! $state) return response()->json(['code'=>1,'msg'=>$data,'data'=>null]);

        //人员角色
        $data['role'] = EmployeeService::getPersonRole($result);
        list($depart, $top, $map, $rule) = EmployeeService::getLoginDepart($result);
        //所属部门
        $data['rule_depart'] = $depart;
        //顶级部门
        $data['depart_top'] = $top;
        //部门对应的顶级部门
        $data['depart_map'] = $map;
        //权限范围内的部门
        $data['depart_range'] = $rule;

        //写入user信息
        $request->userData = $data;

        return $next($request);
    }
}
