<?php

namespace App\Model;

use App\Scopes\DepartmentScope;
use Illuminate\Database\Eloquent\Model;

class SalesOrder extends Model
{
    protected $fillable = ['userData'];
    protected $table = "sales_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const Order_type_one = 1;//安装件
    const Order_type_two = 2;//快递件
    public static $order_type = [
        self::Order_type_one => '安装件',
        self::Order_type_two => '快递件',
    ];

    const Model_type_one = 1; // 线下订单合同
    const Model_type_two = 2; // 分社订货合同
    const Model_type_three = 3; // 二手车精品加装合同
    public static $model_type = [
        self::Model_type_one,
        self::Model_type_two,
        self::Model_type_three
    ];

    const State_zero = 0;//未锁定
    const State_one = 1;//锁定
    public static $state = [
        self::State_zero => '未锁定',
        self::State_one => '锁定',
    ];

    public static $prefix = [
        self::Model_type_one => 'T9XS.',
        self::Model_type_two => 'T9SO.',
        self::Model_type_three => 'T9XS.'
    ];
    public static $user = [];
    public static $is_search = false;

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$is_search = true;
        }
        parent::__construct($attributes);
    }

    protected static function boot(){
        parent::boot();
        if(self::$is_search){
            static::addGlobalScope(new DepartmentScope(self::$user));
        }
    }
}
