<?php

namespace App\Service;

use App\Model\Construction;
use App\Model\SalesOrder;

class OrderNoService extends Service
{
    //采购 收货 发货 单号生成
    public function createOrderNumber($prefix){
        return $prefix . date('Ymd') . time() . rand(1000,9999);
    }

    //销售订单合同号
    public static function createSalesOrderNumber($prefix){
        $str = $prefix . date('Ymd',time());

        $order_number = SalesOrder::where('order_number','Like','%'. $str . '%')
            ->max('order_number');

        if(empty($order_number)){
            $number = str_pad(1,3,'0',STR_PAD_LEFT);
            $number = $str . $number;
        }else{
            $tmp = substr($order_number, -3);
            $tmp = $tmp + 1;

            //超过999
            if(strlen($tmp) > 3) return '';

            $number = str_pad($tmp,3,'0',STR_PAD_LEFT);
            $number = $str . $number;
        }

        return $number;
    }

    //施工单订单合同号
    public static function createConstructionOrderNumber($prefix){
        $str = $prefix . date('Ymd',time());

        $order_number = Construction::where('order_number','Like','%'. $str . '%')
            ->max('order_number');

        if(empty($order_number)){
            $number = str_pad(1,3,'0',STR_PAD_LEFT);
            $number = $str . $number;
        }else{
            $tmp = substr($order_number, -3);
            $tmp = $tmp + 1;

            //超过999
            if(strlen($tmp) > 3) return '';

            $number = str_pad($tmp,3,'0',STR_PAD_LEFT);
            $number = $str . $number;
        }

        return $number;
    }
}
