<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::any('login', 'Api\LoginController@login');
Route::any('test', 'Api\TestController@aa');
Route::any('getHeaderWord', 'Api\HeaderWordController@getHeaderWord');
//文件获取
Route::any('uploadFiles/{file_name}', 'Api\FileUploadController@getFile');

Route::group(['middleware'=> ['checkLogin']],function ($route){
    $route->any('getHeaderSetting', 'Api\HeaderWordController@getHeaderSettings');
    $route->any('HeaderSettingsAdd', 'Api\HeaderWordController@add');
    $route->any('HeaderSettingsDetail', 'Api\HeaderWordController@detail');

    //文件上传统一方法
    $route->any('uploadFile', 'Api\FileUploadController@uploadFile');

    $route->any('menuAdd', 'Api\SysMenuController@add');
    $route->any('menuEdit', 'Api\SysMenuController@edit');
    $route->any('menuDel', 'Api\SysMenuController@del');
    $route->any('menuList', 'Api\SysMenuController@menuList');
    $route->any('menuMove', 'Api\SysMenuController@menuMove');

    $route->any('employeeAdd', 'Api\EmployeeController@employeeAdd');
    $route->any('employeeEdit', 'Api\EmployeeController@employeeEdit');
    $route->any('employeeDel', 'Api\EmployeeController@employeeDel');
    $route->any('employeeList', 'Api\EmployeeController@employeeList');

    $route->any('departAdd', 'Api\EmployeeController@departAdd');
    $route->any('departEdit', 'Api\EmployeeController@departEdit');
    $route->any('departDel', 'Api\EmployeeController@departDel');
    $route->any('departList', 'Api\EmployeeController@departList');

    $route->any('roleAdd', 'Api\EmployeeController@roleAdd');
    $route->any('roleEdit', 'Api\EmployeeController@roleEdit');
    $route->any('roleDel', 'Api\EmployeeController@roleDel');
    $route->any('roleList', 'Api\EmployeeController@roleList');
    $route->any('roleDetail', 'Api\EmployeeController@roleDetail');
    $route->any('roleMenu', 'Api\EmployeeController@roleMenu');

    $route->any('teamAdd', 'Api\EmployeeController@teamAdd');
    $route->any('teamEdit', 'Api\EmployeeController@teamEdit');
    $route->any('teamDel', 'Api\EmployeeController@teamDel');
    $route->any('teamList', 'Api\EmployeeController@teamList');
    $route->any('teamDetail', 'Api\EmployeeController@teamDetail');

    $route->any('employeeDepart', 'Api\EmployeeController@employeeDepart');
    $route->any('employeeTeam', 'Api\EmployeeController@employeeTeam');
    $route->any('employeeRole', 'Api\EmployeeController@employeeRole');

    //单据状态变动
    $route->any('checkAll', 'Api\CheckController@checkAll');

    //基础类型
    $route->any('basicTypeList', 'Api\BasicTypeController@basicTypeList');
    $route->any('basicTypeEdit', 'Api\BasicTypeController@basicTypeEdit');
    $route->any('basicTypeAdd', 'Api\BasicTypeController@basicTypeAdd');
    $route->any('basicTypeDel', 'Api\BasicTypeController@basicTypeDel');

    //跟进记录
    $route->any('followUpRecordList', 'Api\FollowUpRecordController@followUpRecordList');
    $route->any('followUpRecordEdit', 'Api\FollowUpRecordController@followUpRecordEdit');
    $route->any('followUpRecordAdd', 'Api\FollowUpRecordController@followUpRecordAdd');
    $route->any('followUpRecordDel', 'Api\FollowUpRecordController@followUpRecordDel');

    //客户
    $route->any('customerList', 'Api\CustomerController@customerList');
    $route->any('customerEdit', 'Api\CustomerController@customerEdit');
    $route->any('customerAdd', 'Api\CustomerController@customerAdd');
    $route->any('customerDel', 'Api\CustomerController@customerDel');
    $route->any('customerDetail', 'Api\CustomerController@customerDetail');

    //联系人
    $route->any('contactsList', 'Api\ContactsController@contactsList');
    $route->any('contactsEdit', 'Api\ContactsController@contactsEdit');
    $route->any('contactsAdd', 'Api\ContactsController@contactsAdd');
    $route->any('contactsDel', 'Api\ContactsController@contactsDel');
    $route->any('contactsDetail', 'Api\ContactsController@contactsDetail');

    //产品分类
    $route->any('productCategoryList', 'Api\ProductController@productCategoryList');
    $route->any('productCategoryEdit', 'Api\ProductController@productCategoryEdit');
    $route->any('productCategoryAdd', 'Api\ProductController@productCategoryAdd');
    $route->any('productCategoryDel', 'Api\ProductController@productCategoryDel');

    //产品名称
    $route->any('productList', 'Api\ProductController@productList');
    $route->any('productEdit', 'Api\ProductController@productEdit');
    $route->any('productAdd', 'Api\ProductController@productAdd');
    $route->any('productDel', 'Api\ProductController@productDel');
    $route->any('productDetail', 'Api\ProductController@productDetail');

    //采购单
    $route->any('purchaseOrderList', 'Api\PurchaseOrderController@purchaseOrderList');
    $route->any('purchaseOrderEdit', 'Api\PurchaseOrderController@purchaseOrderEdit');
    $route->any('purchaseOrderDetail', 'Api\PurchaseOrderController@purchaseOrderDetail');
    $route->any('purchaseOrderAdd', 'Api\PurchaseOrderController@purchaseOrderAdd');
    $route->any('purchaseOrderDel', 'Api\PurchaseOrderController@purchaseOrderDel');
    $route->any('purchaseOrderConfirm', 'Api\PurchaseOrderController@purchaseOrderConfirm');

    //发货单
    $route->any('invoiceOrderList', 'Api\InvoiceOrderController@invoiceOrderList');
    $route->any('invoiceOrderEdit', 'Api\InvoiceOrderController@invoiceOrderEdit');
    $route->any('invoiceOrderDetail', 'Api\InvoiceOrderController@invoiceOrderDetail');
    $route->any('invoiceOrderAdd', 'Api\InvoiceOrderController@invoiceOrderAdd');
    $route->any('invoiceOrderDel', 'Api\InvoiceOrderController@invoiceOrderDel');

    //收货单
    $route->any('takeOrderList', 'Api\TakeOrderController@takeOrderList');
    $route->any('takeOrderEdit', 'Api\TakeOrderController@takeOrderEdit');
    $route->any('takeOrderDetail', 'Api\TakeOrderController@takeOrderDetail');
    $route->any('takeOrderAdd', 'Api\TakeOrderController@takeOrderAdd');
    $route->any('takeOrderDel', 'Api\TakeOrderController@takeOrderDel');

    //销售订单
    $route->any('salesOrderGet', 'Api\SalesOrderController@salesOrderGet');
    $route->any('salesOrderList', 'Api\SalesOrderController@salesOrderList');
    $route->any('salesOrderEdit', 'Api\SalesOrderController@salesOrderEdit');
    $route->any('salesOrderDetail', 'Api\SalesOrderController@salesOrderDetail');
    $route->any('salesOrderAdd', 'Api\SalesOrderController@salesOrderAdd');
    $route->any('salesOrderDel', 'Api\SalesOrderController@salesOrderDel');
    $route->any('salesOrderDispatch', 'Api\SalesOrderController@salesOrderDispatch');

    //施工单
    $route->any('constructionGet', 'Api\ConstructionController@constructionGet');
    $route->any('constructionList', 'Api\ConstructionController@constructionList');
    $route->any('constructionEdit', 'Api\ConstructionController@constructionEdit');
    $route->any('constructionDetail', 'Api\ConstructionController@constructionDetail');
    $route->any('constructionAdd', 'Api\ConstructionController@constructionAdd');
    $route->any('constructionDel', 'Api\ConstructionController@constructionDel');
});
